Summary:	Support library for writing LV2 plugins in C++
Name:		lv2-c++-tools
Version:	1.0.4
Release:	17%{?dist}
License:	GPLv3+
Group:		System Environment/Libraries
URL:		http://ll-plugins.nongnu.org/hacking.html
Source0:	http://download.savannah.nongnu.org/releases-noredirect/ll-plugins/%{name}-%{version}.tar.bz2
# Don't use deprecated headers. Sent upstream via email
Patch0:		%{name}-boost.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	gtkmm24-devel
BuildRequires:	lv2-devel


%description
This software package contains libraries and programs that should make it
easier to write LV2 plugins in C++.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-static = %{version}-%{release}
Requires:	%{name}%{_isa} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains libraries and header files for developing LV2 plugins
that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .boost
# We will use our lv2core
rm -f headers/lv2.h
sed -i -e '/lv2\.h/d' Makefile

%build
# this doesn't use GNU configure
./configure --prefix=%{_prefix} --CFLAGS="%{optflags}"
make %{?_smp_mflags}

# Build the devel doc
doxygen

%install
rm -rf %{buildroot}
make libdir=%{_libdir} DESTDIR=%{buildroot} install

# We don't want this static library. The other ones are needed though
rm -f %{buildroot}%{_libdir}/libpaq.a

# We will put the AUTHORS COPYING ChangeLog README files
# into the proper location
rm -f %{buildroot}%{_docdir}/%{name}/*

# Add missing symlink
ln -sf libpaq.so.0.0.0 %{buildroot}%{_libdir}/libpaq.so.0


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc html/*
%{_bindir}/*
%{_includedir}/%{name}/
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-17
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.0.4-16
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.4-14
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 1.0.4-13
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 1.0.4-10
- Rebuild for boost 1.55.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.0.4-8
- Rebuild for boost 1.54.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 21 2012 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.4-5
- Rebild against new lv2 package

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 15 2011 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.4-2
- Fix changelog

* Mon Aug 15 2011 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.4-1
- Rebuilt for version 1.0.4

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-4
- Rebuild against new boost

* Sun Feb 21 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-3
- Add Provides to the devel package for a virtual static package

* Sat Feb 20 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-2
- Leave liblv2-gui.a and liblv2-plugin.a as static libs per upstream request
- Remove -fno-var-tracking-assignments flag. gcc bug seems fixed

* Sat Jan 30 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-1
- Updated to 1.0.3
- Some cleanup from the review request RHBZ#537363

* Fri Nov 13 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.2-1
- initial build
